
/******************************************************************************
* MODULE     : conv_lambda.cc
* DESCRIPTION: Lambda expressions during conversions
* COPYRIGHT  : (C) 2000  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include <evaluator.hh>
namespace mmx {

void
evaluator_rep::evaluate_conv_lambda_1 () {
  // INPUT: (conv_lambda_1, cont, ...)
  cur= car (rem);
  rem= cons (car (trace), cdr (rem));
  // OUTPUT: (cont, lambda, ...)
  trace= cdr (trace);
}

} // namespace mmx
