
/******************************************************************************
* MODULE     : conv_unalias.cc
* DESCRIPTION: Dereference Alias instance
* COPYRIGHT  : (C) 2000  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include <evaluator.hh>
namespace mmx {

void
evaluator_rep::evaluate_conv_unalias_1 () {
  evaluate_arg (car(trace)[1], KW_CONV_UNALIAS_2);
}

void
evaluator_rep::evaluate_conv_unalias_2 () {
  // INPUT: (conv_unalias_2, alias, cont, ...)
  cur= cadr (rem);
  rem= cons (car (car (rem)), cddr (rem));
  // OUTPUT: (cont, member, ...)
  trace= cdr (trace);
}

} // namespace mmx
